Name:          libbraille
Version:       0.19.0
Release:       3mamba
Summary:       A library which makes it possible to easily develop for Braille displays
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://libbraille.org/
Source:        http://prdownloads.sourceforge.net/libbraille/libbraille-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libudev-devel
BuildRequires: libusb-compat-devel
BuildRequires: libusb-devel
## AUTOBUILDREQ-END

%description
Libbraille is a computer shared library which makes it possible to easily develop for Braille displays. It provides a simple API to write text on the display, directly draw dots, or get the value of keys pressed on the Braille keyboard.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Libbraille is a computer shared library which makes it possible to easily develop for Braille displays. It provides a simple API to write text on the display, directly draw dots, or get the value of keys pressed on the Braille keyboard.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub libltdl/config.sub

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/libbraille.conf
%{_bindir}/test_libbraille
%{_libdir}/libbraille-0.so.*
%dir %{_libdir}/libbraille
%{_libdir}/libbraille/*
%dir %{_datadir}/libbraille
%{_datadir}/libbraille/*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}
%{_libdir}/libbraille.a
%{_libdir}/libbraille.la
%{_libdir}/libbraille.so
%{_includedir}/*.h
%doc ChangeLog README TODO

%changelog
* Sat May 08 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.19.0-3mamba
- rebuilt with aarch64 build fix and debug package

* Sat Aug 03 2013 Automatic Build System <autodist@mambasoft.it> 0.19.0-2mamba
- automatic rebuild by autodist

* Wed Sep 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.19.0-1mamba
- package created by autospec
